//
//  ViewController.m
//  EmptyDataUITableView
//
//  Created by admin on 2017/4/18.
//  Copyright © 2017年 BOSJK. All rights reserved.
//

#import "ViewController.h"
#import "UITableView+Cxj.h"

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>

@property (nonatomic,strong) NSMutableArray *data;

@property (weak, nonatomic) IBOutlet UITableView *myTableView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    
    self.myTableView.tableFooterView = [UIView new];
    // 点击响应
    [self.myTableView cxjLoading:^{
    
        [self loadingData:NO];
    }];
    
    [self loadingData:NO];

}
-(void)loadingData:(BOOL)data
{
    if (self.data.count > 0) {
        [self.data removeAllObjects];
        [self.myTableView reloadData];
    }
    
    self.myTableView.loading = YES;
    
    // 模拟延迟
    dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(2 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
        if (data) {
            for (int i = 0; i < 10; i++) {
                [self.data addObject:[NSString stringWithFormat:@"I'm data，fuck！"]];
            }
        }else {// 无数据时
            self.myTableView.loading = NO;
        }
        [self.myTableView reloadData];
    });
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.data.count;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"ID"];
    
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"ID"];
    }
    
    cell.textLabel.text = self.data[indexPath.row];
    return cell;
}
#pragma mark - actions
-(IBAction)loadData:(UIButton*)sender
{
    [self loadingData:sender.tag==0?YES:NO];
}
#pragma mark - lazy

-(NSMutableArray *)data
{
    if (!_data) {
        _data = [NSMutableArray array];
    }
    return _data;
}

@end
